An extended input field that combines label, input field and help.

This is used to build HTML code by using objects.

package | metaHTML

### Methods

## Constructor

    __construct(String $label, String $fieldName, String $fieldValue, String $helpID)

### Parameters

#### $label

`String`

descriptive label

#### $fieldName

`String`

unique field name

#### $fieldValue

`String`

value of input field (optional)

#### $helpID

`String`

help ID (optional)

## Enables autocompletion for this input field.

    enableAutocompletion(array $values, int $minLength, boolean $multiValue, $multiSeparatorExp, String | String $multiSeparator)

Inherited

inherited_from | \htmlInputField::enableAutocompletion()

### Parameters

#### $values

`array`

list of values to suggest

#### $minLength

`int`

autocompletion starts after this number of caracters entered (default 1; 0 means immediate start)

#### $multiValue

`boolean`

allow multiple autocompletion values in the same fields (default: false)

#### $multiSeparatorExp

#### $multiSeparator

`String` `String`

separator expression if multiple autocompletion values are allowed (default ",\s*")

## Prints the HTML code for this element.

    generateHTML(string $module, array $input, array $values, boolean $restricted, integer $tabindex, string $scope) : array

### Parameters

#### $module

`string`

Name of account module

#### $input

`array`

List of meta-HTML elements

#### $values

`array`

List of values which override the defaults in $input (name => value)

#### $restricted

`boolean`

If true then no buttons will be displayed

#### $tabindex

`integer`

Start value of tabulator index for input fields

#### $scope

`string`

Account type

### Returns

`array`List of input field names and their type (name => type)

## Returns the HTML attributes for the alignment.

    getAlignmentString() : String

Inherited

inherited_from | \htmlElement::getAlignmentString()
inherited_from | \htmlInputField::getAlignmentString()

### Returns

`String`alignment HTML attributes (e.g. align="right" valign="top")

## Returns the HTML attribute for the colspan.

    getColspanString() : String

Inherited

inherited_from | \htmlElement::getColspanString()
inherited_from | \htmlInputField::getColspanString()

### Returns

`String`colspan HTML attribute (e.g. colspan=3)

## Returns the HTML attribute for the rowspan.

    getRowspanString() : String

Inherited

inherited_from | \htmlElement::getRowspanString()
inherited_from | \htmlInputField::getRowspanString()

### Returns

`String`rowspan HTML attribute (e.g. rowspan=3)

## Returns the CSS classes of the surrounding table cell for this element.

    getTableCellCSSClasses() : array

Inherited

inherited_from | \htmlElement::getTableCellCSSClasses()
inherited_from | \htmlInputField::getTableCellCSSClasses()

### Returns

`array`CSS classes

## Adds CSS classes to this element.

    setCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setCSSClasses()
inherited_from | \htmlInputField::setCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

## Sets the maximum field length.

    setFieldMaxLength(int $fieldMaxLength)

Inherited

inherited_from | \htmlInputField::setFieldMaxLength()

### Parameters

#### $fieldMaxLength

`int`

length

## Sets the field size.

    setFieldSize(int $fieldSize)

Inherited

inherited_from | \htmlInputField::setFieldSize()

### Parameters

#### $fieldSize

`int`

size

## Specifies if this component is enabled and accepts user modification.

    setIsEnabled(boolean $isEnabled)

Inherited

inherited_from | \htmlInputField::setIsEnabled()

### Parameters

#### $isEnabled

`boolean`

enabled if true

## Specifies if this is a password field.

    setIsPassword(boolean $isPassword)

Inherited

inherited_from | \htmlInputField::setIsPassword()

### Parameters

#### $isPassword

`boolean`

password field

## Specifies if the value should be saved in obfuscated form (e.g.

    setObfuscate(boolean $obfuscate)

Inherited

self service profile).

inherited_from | \htmlInputField::setObfuscate()

### Parameters

#### $obfuscate

`boolean`

obfuscate value

## Sets the JavaScript for the onKeyPress event.

    setOnKeyPress(String $onKeyPress)

Inherited

inherited_from | \htmlInputField::setOnKeyPress()

### Parameters

#### $onKeyPress

`String`

JavaScript code

## Specifies if the input field is required.

    setRequired(boolean $required)

Inherited

inherited_from | \htmlInputField::setRequired()

### Parameters

#### $required

`boolean`

required

## Adds CSS classes to the surrounding table cell for this element.

    setTableCellCSSClasses(array $classes)

Inherited

inherited_from | \htmlElement::setTableCellCSSClasses()
inherited_from | \htmlInputField::setTableCellCSSClasses()

### Parameters

#### $classes

`array`

CSS class names

## Specifies that the value should not be automatically saved when used in self service or server profile (default: false).

    setTransient(boolean $transient)

Inherited

inherited_from | \htmlInputField::setTransient()

### Parameters

#### $transient

`boolean`

transient field

## Specifies the validation rule (e.g.

    setValidationRule(boolean $rule)

Inherited

htmlElement::VALIDATE_NUMERIC) for this field. This rule is checked on client side when the input field looses focus.

inherited_from | \htmlInputField::setValidationRule()

### Parameters

#### $rule

`boolean`

rule name

## Shows a calendar when the field is selected.

    showCalendar(String $format)

Inherited

inherited_from | \htmlInputField::showCalendar()

### Parameters

#### $format

`String`

calendar format (e.g. yyyy-mm-dd)

### Properties

## alignment when inside a table

    $alignment

Inherited

inherited_from | \htmlElement::$$alignment
inherited_from | \htmlInputField::$$alignment

## colspan if inside a table

    $colspan

Inherited

inherited_from | \htmlElement::$$colspan
inherited_from | \htmlInputField::$$colspan

## rowspan if inside a table

    $rowspan

Inherited

inherited_from | \htmlElement::$$rowspan
inherited_from | \htmlInputField::$$rowspan

## enable autocomplete

    $autocomplete

Inherited

inherited_from | \htmlInputField::$$autocomplete

## autocomplete start at this input length

    $autocompleteMinLength

Inherited

inherited_from | \htmlInputField::$$autocompleteMinLength

## multiple values in one field

    $autocompleteMultiValue

Inherited

inherited_from | \htmlInputField::$$autocompleteMultiValue

## separator for multiple values in one field

    $autocompleteMultiValueSeparator

Inherited

inherited_from | \htmlInputField::$$autocompleteMultiValueSeparator

## separator expression for multiple values in one field

    $autocompleteMultiValueSeparatorExp

Inherited

inherited_from | \htmlInputField::$$autocompleteMultiValueSeparatorExp

## autocompletion suggestions

    $autocompleteValues

Inherited

inherited_from | \htmlInputField::$$autocompleteValues

## calendar format

    $calendarFormat

Inherited

inherited_from | \htmlInputField::$$calendarFormat

## CSS classes

    $cssClasses

Inherited

inherited_from | \htmlElement::$$cssClasses
inherited_from | \htmlInputField::$$cssClasses

## field max length (default 255)

    $fieldMaxLength

Inherited

inherited_from | \htmlInputField::$$fieldMaxLength

## unique field name

    $fieldName

Inherited

inherited_from | \htmlInputField::$$fieldName

## field size (default 30)

    $fieldSize

Inherited

inherited_from | \htmlInputField::$$fieldSize

## field value

    $fieldValue

Inherited

inherited_from | \htmlInputField::$$fieldValue

## enabled or disabled

    $isEnabled

Inherited

inherited_from | \htmlInputField::$$isEnabled

## password field

    $isPassword

Inherited

inherited_from | \htmlInputField::$$isPassword

## indicates that the value should be saved in obfuscated form

    $obfuscate

Inherited

inherited_from | \htmlInputField::$$obfuscate

## on keypress event

    $onKeyPress

Inherited

inherited_from | \htmlInputField::$$onKeyPress

## required field

    $required

Inherited

inherited_from | \htmlInputField::$$required

## show calendar

    $showCalendar

Inherited

inherited_from | \htmlInputField::$$showCalendar

## table cell CSS classes

    $tableCellCssClasses

Inherited

inherited_from | \htmlElement::$$tableCellCssClasses
inherited_from | \htmlInputField::$$tableCellCssClasses

## indicates that this field should not automatically be saved in the self service or server profile

    $transient

Inherited

inherited_from | \htmlInputField::$$transient

## validation rule

    $validationRule

Inherited

inherited_from | \htmlInputField::$$validationRule

## help ID

    $helpID

## Descriptive label

    $label

### Constants

## align to bottom

    ALIGN_BOTTOM

Inherited

inherited_from | \htmlElement::ALIGN_BOTTOM
inherited_from | \htmlInputField::ALIGN_BOTTOM

## align to center

    ALIGN_CENTER

Inherited

inherited_from | \htmlElement::ALIGN_CENTER
inherited_from | \htmlInputField::ALIGN_CENTER

## align to left

    ALIGN_LEFT

Inherited

inherited_from | \htmlElement::ALIGN_LEFT
inherited_from | \htmlInputField::ALIGN_LEFT

## align to right

    ALIGN_RIGHT

Inherited

inherited_from | \htmlElement::ALIGN_RIGHT
inherited_from | \htmlInputField::ALIGN_RIGHT

## align to top

    ALIGN_TOP

Inherited

inherited_from | \htmlElement::ALIGN_TOP
inherited_from | \htmlInputField::ALIGN_TOP

## validation rule to allow only numbers ([0-9]+)

    VALIDATE_NUMERIC

Inherited

inherited_from | \htmlElement::VALIDATE_NUMERIC
inherited_from | \htmlInputField::VALIDATE_NUMERIC